Bug 1031759 - xfce4-power-manager missing mouse icon [NEEDINFO]
xfce4-power-manager missing mouse icon
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 12:26 EST by Jason Montleon
Modified: 2015-06-29 08:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (cwickert)


Attachments (Terms of Use)
patch for Fedora 20 xfce4-power-manager 1.2.0-9 rpm (1.19 KB, patch)
2013-11-18 12:26 EST, Jason Montleon
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 11054 None None None Never
Xfce 8188 None None None Never

  None (edit)
Description Jason Montleon 2013-11-18 12:26:01 EST
Created attachment 825753 [details]
patch for Fedora 20 xfce4-power-manager 1.2.0-9 rpm

Description of problem:
The xfce4-power-manager icon when I attached my mouse was missing

Version-Release number of selected component (if applicable):
xfce4-power-manager-1.2.0-9.fc20.x86_64

How reproducible:
Always, every time I attached my mouse I got an ugly missing icon.

Steps to Reproduce:
1. Install/Upgrade to Fedora 20
2. Attach bluetooth mouse that provides power information

Actual results:
See icon for a missing icon appear

Expected results:
Normal xfce4-power-manager icon for a mouse appears.

Additional info:
There appear to be a couple problems with icons for other devices such phones, mice, etc. in xfce4-power-manager 1.2.0

Attached the patch I generated for the package installed.
edited spec file line 30:
Patch5:         xfce4-power-manager-1.2.0-other-device-icon.patch
line 65:
%patch5 -p1

rebuilt, reinstalled, restarted, and it works as expected now.
Comment 1 Raphael Groner 2014-04-19 07:35:46 EDT
What's the status here? I see a only placeholder as well.
Comment 2 Raphael Groner 2014-05-11 10:24:07 EDT
Since xfce4-power-manager seems to need some love from upstream, and lacks a persistent maintainer, I suggest to replace it in favor of yacpi, at least on the spin media. What do you think?
Comment 3 Stan King 2014-05-11 12:30:16 EDT
With a recent update, to bluez I think, I can again see the bluetooth mouse's charge level when hovering the cursor over the placeholder icon.
Comment 4 Raphael Groner 2014-09-11 17:39:09 EDT
Upstream is preparing a new release with changed behaviour for the icon.

xfce4-power-manager-1.3.2-1.fc20.x86_64
upower-0.9.23-3.fc20.x86_64
systemd-208-21.fc20.x86_64
Comment 5 Fedora End Of Life 2015-05-29 05:47:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:58:55 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.